

<h2 *ngIf="controllo" >ELEMENTO</h2>

<br>
<button (click)="visualizzaOnOff()">visualizza/nascondi</button>

<hr>
<div class="container" [ngSwitch]="myVar">
  <div *ngSwitchCase="'A'">Var is A</div>
  <div *ngSwitchCase="'B'">Var is B</div>
  <div *ngSwitchDefault>Var is something else</div>
</div>

<hr>

<h1>Hai scelto {{choice}}</h1>
<div [ngSwitch]="choice">
    <div *ngSwitchCase="1">Hai scelto il caso 1</div> 
    <div *ngSwitchCase="2">Hai scelto il caso 2</div> 
    <div *ngSwitchCase="3">Hai scelto il caso 3</div> 
    <div *ngSwitchCase="4">Hai scelto il caso 4</div> 
    <div *ngSwitchCase="4">Hai riscelto il caso 4</div> 
    <div *ngSwitchDefault>nessuno dei casi precendenti</div>
</div>
<br>
<button (click)="cambiaScelta()">cambia scelta</button>

<hr>

<div [ngStyle]="{color: 'white', 'background-color': 'blue'}">
  Uses fixed white text on blue background
</div>

<br>
<div [ngStyle]="stile">
    Uses fixed white text on blue background
</div>



<hr>

<ul>
  <li *ngFor="let item of items">

    {{item}}
  </li>  
</ul>  

<hr>

<ul>
  <li *ngFor="let item of people">
<!-- | pipe -->
    {{item | json }}
  </li>  
</ul> 

<hr>

<ol>
  <li *ngFor="let item of people; let num = index">

    {{num+1}} - {{item.name }} - {{item.city }} <button (click)="scegli(num,item)">scegli</button>
  </li>  
</ol> 